Bug 794562 - virtio-console: Show bytes received / sent statistics per port
virtio-console: Show bytes received / sent statistics per port
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
medium Severity medium
: rc
: 7.0
Assigned To: Amit Shah
Virtualization Bugs
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-02-17 00:34 EST by Qunfang Zhang
Modified: 2013-11-14 07:33 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-14 07:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Qunfang Zhang 2012-02-17 00:34:24 EST
Description of problem:
In bug 772194 some counters were added to the kernel code then to check the bytes sent, received and discarded values during virtio serial communication.

File this bug for the host qemu part, 

For testing, do this in the guest:
(qemu)info qtree should show something like:

(qemu) info qtree
dev: virtserialport, id "port0"
            dev-prop: nr = 1
            dev-prop: chardev = channel0
            dev-prop: name = "org.linux-kvm.port.0"
            port 1, guest off, host on, throttle off, bytes_sent 0,
bytes_received 3085535232, bytes_discarded: 6229302441870433721

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. find out the size of the original file (ls -l) in the guest.

2. start transmit of file from guest->host, perform Ctrl+C and redirect to new

3. check file sizes of the two host files, add them.

4. check 'bytes_received' value in 'info qtree' output.

5. check 'bytes_discarded' value in 'info qtree' output.

6. check 'bytes_sent' value in GUEST debugfs port

7. Add numbers in step 3 and step 5.

8. Verify: number in step 6 is same as number in step 1

9. Verify: number in step 6 is same as number in step 4

10. Verify: number in step 7 is equal to or slightly less than step 1.  The
number might be slightly lesser since the bytes may have been discarded by
qemu's chardev layer and not virtio-serial.

Actual results:

Expected results:
If all this matches, everything works according to expectation.

Additional info:
Comment 3 RHEL Product and Program Management 2012-07-10 03:00:18 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 22:02:33 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Amit Shah 2012-07-23 07:12:09 EDT
We haven't decided upstream how best to expose debug info.  Closing for now.
Comment 8 Amit Shah 2013-11-14 07:33:03 EST
QEMU upstream still doesn't have a good way to show debug info, so closing this one.  If we ever need stats later, we'll get to this again.

Note You need to log in before you can comment on or make changes to this bug.